> ## Documentation Index
> Fetch the complete documentation index at: https://dripart-feat-openapi-i18n.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 上传图片文件

> 将图像文件上传至云端存储。

图像限制：
  - 最大文件大小：50 MB
  - 每边最大宽度/高度：16384 px
  - 最大总像素数：64 兆像素（67108864 像素）

超过这些限制中任何一项的上传都将被HTTP 400拒绝。




## OpenAPI

````yaml /openapi/cloud.zh.yaml post /api/upload/image
openapi: 3.0.3
info:
  title: Comfy Cloud API
  description: >
    <警告>

    **实验性API：** 此API是实验性的，可能会更改。

    端点、请求/响应格式和行为可能在未经通知的情况下修改。

    </警告>


    用于Comfy Cloud的API - 在云基础设施上运行ComfyUI工作流。


    此API允许您以编程方式与Comfy Cloud交互，包括：

    - 提交和管理工作流

    - 上传和下载文件

    - 监控作业状态和进度


    ## 云端与OSS ComfyUI兼容性


    Comfy Cloud实现了与OSS ComfyUI相同的API接口以实现最大兼容性，

    但某些字段为了兼容性被接受，但处理方式不同或被忽略：


    | 字段 | 端点 | 云端行为 |

    |-------|-----------|----------------|

    | `subfolder` | `/api/view`, `/api/upload/*` | **忽略** -
    云端使用内容寻址存储（基于哈希）。在响应中返回用于客户端组织。 |

    | `type` (input/output/temp) | `/api/view`, `/api/upload/*` | 部分使用 -
    所有文件使用基于标签的组织存储，而非目录结构。 |

    | `overwrite` | `/api/upload/*` | **忽略** - 内容寻址存储意味着相同内容始终具有相同哈希。 |

    | `number`, `front` | `/api/prompt` | **忽略** - 云端使用自己的每个用户公平队列调度。 |

    | `split`, `full_info` | `/api/userdata` | **忽略** - 云端始终返回完整文件元数据。 |


    这些字段保留在API模式中，以便与现有ComfyUI客户端和工作流进行即插即用兼容。
  version: 1.0.0
  license:
    name: GNU General Public License v3.0
    url: https://github.com/Comfy-Org/ComfyUI/blob/master/LICENSE
servers:
  - url: https://cloud.comfy.org
    description: Comfy Cloud API
security:
  - ApiKeyAuth: []
tags:
  - name: workflow
    description: |
      提交工作流执行并管理执行队列。
      这是在云端运行ComfyUI工作流的主要方式。
  - name: job
    description: |
      监控任务状态、查看执行历史和管理运行中的任务。
      任务通过POST /api/prompt提交工作流时创建。
  - name: asset
    description: |
      上传、下载和管理持久资产（图像、模型、输出）。
      资产提供持久存储，支持标签和元数据。
  - name: file
    description: |
      与传统本地ComfyUI兼容的传统文件上传和下载端点。
      对于新的集成，请考虑使用资产API。
  - name: model
    description: |
      浏览可用的AI模型。模型已预加载到云端基础设施上。
  - name: node
    description: |
      获取可用ComfyUI节点及其输入/输出的信息。
      对构建动态工作流界面很有用。
  - name: user
    description: |
      用户账户信息和个人数据存储。
  - name: system
    description: |
      服务器状态、健康检查和系统信息。
paths:
  /api/upload/image:
    post:
      tags:
        - file
      summary: 上传图片文件
      description: |
        将图像文件上传至云端存储。

        图像限制：
          - 最大文件大小：50 MB
          - 每边最大宽度/高度：16384 px
          - 最大总像素数：64 兆像素（67108864 像素）

        超过这些限制中任何一项的上传都将被HTTP 400拒绝。
      operationId: uploadImage
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - image
              properties:
                image:
                  type: string
                  format: binary
                  description: 要上传的图像文件
                overwrite:
                  type: string
                  description: |
                    是否覆盖现有文件（是/否）。
                    **注意：** 为兼容ComfyUI API而接受，但在云端实际忽略。
                    云端使用内容寻址存储（基于哈希的去重），因此相同的内容始终映射到相同的哈希。重新上传相同的内容是空操作。
                subfolder:
                  type: string
                  description: |
                    可选的子文件夹路径。
                    **注意：** 为兼容ComfyUI API而接受，但存储时**忽略**。
                    云端仅按哈希存储资产。子文件夹在响应中返回用于客户端组织，但不在服务器端存储路径中使用。
                type:
                  type: string
                  description: |
                    上传类型（默认为"output"）。
                    **注意：** 为兼容ComfyUI API而接受。云端将所有上传内容作为带标签的资产存储，而非基于目录的组织方式。
      responses:
        '200':
          description: 图像上传成功
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                    description: 上传图像的文件名
                  subfolder:
                    type: string
                    description: 图像保存的子文件夹路径
                  type:
                    type: string
                    description: 上传类型（例如"output"）
        '400':
          description: 错误请求
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: 未授权
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: 内部服务器错误
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ErrorResponse:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: |
        API密钥认证。从您的用户设置中生成API密钥
        位于https://platform.comfy.org/profile/api-keys。在X-API-Key头中传递密钥。

````